This is the mail archive of the mauve-patches@sourceware.org mailing list for the Mauve project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

[builder] FYI: Add GJDoc


This adds GJDoc to builder.  Once we have this working successfully,
we can then generate Classpath documentation.

ChangeLog:

2008-03-11 Andrew John Hughes <gnu_andrew@member.fsf.org>

	* Build: Add GJDoc.
	* GJDoc: Build script for GJDoc.
	* Update: Update GJDoc.

-- 
Andrew :)

Support Free Java!
Contribute to GNU Classpath and the OpenJDK
http://www.gnu.org/software/classpath
http://openjdk.java.net
PGP Key: 94EFD9D8 (http://subkeys.pgp.net)
Fingerprint = F8EF F1EA 401E 2E60 15FA  7927 142C 2591 94EF D9D8
Index: Build
===================================================================
RCS file: /cvs/mauve/builder/scripts/Build,v
retrieving revision 1.9
diff -u -3 -p -u -r1.9 Build
--- Build	16 Feb 2008 11:46:03 -0000	1.9
+++ Build	11 Mar 2008 23:06:34 -0000
@@ -16,6 +16,7 @@ StdBuild
 Report "gcc build" $? build/Log.Std || exit 1
 
 # Order matters here.
+GJDoc
 Classpath
 Jamvm
 JamvmRelease
Index: GJDoc
===================================================================
RCS file: GJDoc
diff -N GJDoc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ GJDoc	11 Mar 2008 23:06:34 -0000
@@ -0,0 +1,20 @@
+#! /bin/sh
+
+# Build GJDoc
+
+. $(dirname "$0")/Settings
+
+cd $TOP/gjdoc
+
+Status "building gjdoc"
+(
+# GJDoc
+rm -rf build install
+mkdir build install
+cd build
+set -e
+exec > Log 2>&1
+../gjdoc/configure --prefix=$(cd ../install && pwd) &&
+make all install distcheck
+)
+Report "gjdoc build" $? build/Log
Index: Update
===================================================================
RCS file: /cvs/mauve/builder/scripts/Update,v
retrieving revision 1.7
diff -u -3 -p -u -r1.7 Update
--- Update	16 Feb 2008 11:46:03 -0000	1.7
+++ Update	11 Mar 2008 23:06:34 -0000
@@ -74,3 +74,10 @@ svn co https://jikesrvm.svn.sourceforge.
 Status "cvs update kaffe"
 cd $TOP/kaffe
 cvs -d:pserver:readonly@cvs.kaffe.org:/cvs/kaffe co kaffe
+
+# GJDoc
+Status "cvs update gjdoc"
+cd $TOP/gjdoc
+cvs -d :pserver:anonymous@cvs.savannah.gnu.org:/cvsroot/classpath co gjdoc
+cd gjdoc
+./autogen.sh

Attachment: signature.asc
Description: Digital signature


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]